For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

List company-legal-entity-workers

GET
/company-legal-entity-workers/

List company-legal-entity-workers

GET
/company-legal-entity-workers/

Returns a paginated list of workers associated with company legal entities.

Helpful resources

Required Scopes

  • company-legal-entity-workers.read

Request

Query Parameters
    filter string
    order_by string
    limit integerrequired

    Possible values: >= 1 and <= 100

    Default value: 50

    The maximum number of results to return. Defaults to 50. Maximum is 100.

    cursor string

Using filters

Include one or more of these fields in the filter parameter to refine your results.

Fields:status, company_entity_id

Sorting results

Include one or more of these fields in the sort parameter to control result order.

Fields:id, created_at, updated_at

Responses​

Successful response
Schema
    __meta object
    A list of redacted fields.
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    results object[]
      Array [
      id stringrequired

      Identifier field

      created_at stringrequired

      Record creation date

      updated_at stringrequired

      Record update date

      company_entity_id string

      The worker's associated company legal entity (CER ID).

      status string

      The worker's status within the organization.

      Possible values: [INIT,HIRED,ACCEPTED,ACTIVE,TERMINATED]
      ]
    next_link string

    A link to the next page of responses.

Loading...